List style profiles
curl --request GET \
--url https://api.deepl.com/v3/style_profiles \
--header 'Authorization: <api-key>'{
"style_profiles": [
{
"style_profile_id": "3f1c9d0e-7a24-4b58-9c31-8f0e5d2a1b47",
"name": "Legal, German",
"description": "Contract wording for the German market.",
"industry": "Legal",
"glossary_ids": [
"4d0a2e1c-6b93-4f7a-8d15-2c6e9a3b7f81"
],
"style_rule_ids": [
"bd0a38f3-1831-440b-a8dd-2c702e2325ab"
],
"translation_memory_ids": [
"a74d88fb-ed2a-4943-a664-a4512398b994"
],
"example_document_ids": [
"9e7b41c2-58da-4a03-b6f1-3c85e0d97a26"
],
"spoken_terms_id": "def3a26b-3e84-45b3-84ae-0c0aaf3525f7",
"glossary_priority_enabled": true,
"creation_time": "2026-04-01T16:34:25.223Z",
"updated_time": "2026-08-06T09:12:44.108Z"
},
{
"style_profile_id": "c58e2a71-90b4-4d6f-a2e3-71d5c8b4f902",
"name": "Marketing, Japanese",
"glossary_ids": [],
"style_rule_ids": [],
"translation_memory_ids": [],
"example_document_ids": [],
"glossary_priority_enabled": false,
"creation_time": "2026-07-14T11:02:09.640Z",
"updated_time": "2026-07-14T11:02:09.640Z"
}
],
"total_count": 2
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Style Profiles
List style profiles
Learn how to page through the style profiles your account owns and the ones shared with it, newest first.
GET
/
v3
/
style_profiles
List style profiles
curl --request GET \
--url https://api.deepl.com/v3/style_profiles \
--header 'Authorization: <api-key>'{
"style_profiles": [
{
"style_profile_id": "3f1c9d0e-7a24-4b58-9c31-8f0e5d2a1b47",
"name": "Legal, German",
"description": "Contract wording for the German market.",
"industry": "Legal",
"glossary_ids": [
"4d0a2e1c-6b93-4f7a-8d15-2c6e9a3b7f81"
],
"style_rule_ids": [
"bd0a38f3-1831-440b-a8dd-2c702e2325ab"
],
"translation_memory_ids": [
"a74d88fb-ed2a-4943-a664-a4512398b994"
],
"example_document_ids": [
"9e7b41c2-58da-4a03-b6f1-3c85e0d97a26"
],
"spoken_terms_id": "def3a26b-3e84-45b3-84ae-0c0aaf3525f7",
"glossary_priority_enabled": true,
"creation_time": "2026-04-01T16:34:25.223Z",
"updated_time": "2026-08-06T09:12:44.108Z"
},
{
"style_profile_id": "c58e2a71-90b4-4d6f-a2e3-71d5c8b4f902",
"name": "Marketing, Japanese",
"glossary_ids": [],
"style_rule_ids": [],
"translation_memory_ids": [],
"example_document_ids": [],
"glossary_priority_enabled": false,
"creation_time": "2026-07-14T11:02:09.640Z",
"updated_time": "2026-07-14T11:02:09.640Z"
}
],
"total_count": 2
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Authorizations
Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
Query Parameters
The index of the first page to return. Use with page_size to get the next page of style profiles.
The maximum number of style profiles to return. Values above 100 are reduced to 100.